CANCEL(1)

NAME
cancel - send cancel requests to an LPRng print service

SYNOPSIS
cancel [ -P printer ] [ -D debug-options ]
[ request-ID... ]

DESCRIPTION

The LPRng lprm client supports an cancel interface when invoked with an cancel program name. This is similar to the ex(1) and vi(1) programs. The supported form of the cancel command arranges for the named jobs to be removed from the specified print queues. The action is identical to that of lprm(1), including the options, with the difference that the last argument on the command line can be an optional printer name. If the name does not appear in the LPRng printcap database, then the name is assumed to be a job identifier.

The format of request-ID should be either the identifier field value or the job number reported by LPQ.

OPTIONS

-P printer
    printer name. The destination printer is taken from the command line -P printer value, then the environment variables PRINTER, LPDEST, NPRINTER, NGPRINTER, then first entry in the printcap information, and and finally the default_printer entry from the configuration file, and then the compile time default.

-D debug-options
    Debug options for the program.

OPERANDS
The following operands are supported by cancel:

ID  A request ID, as returned by lp. Specifying a request ID cancels the associated request even if it is currently printing.

printer
    A printer name (for a complete list of printer names, use lpq). This method may not be supported on all systems, and the -P printer form should be used instead.

ENVIRONMENT

By default, the destination printer is taken from the command line printer value, then the environment variables PRINTER, LPDEST, NPRINTER, NGPRINTER, then first entry in the printcap information, and and finally the default_printer entry from the configuration file, and then the compile time default.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), checkpc(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1), lprng_certs(1), lprng_index_certs(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng mailing list is lprng@lprng.com; subscribe by sending mail to lprng-request@lprng.com with the word subscribe in the body. The software is available from ftp://ftp.lprng.com/pub/LPRng.

AUTHOR
Patrick Powell <papowell@lprng.com>.